Refresh Content
curl --request POST \
--url https://api.example.com/knowledge/content/{content_id}/refresh \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/knowledge/content/{content_id}/refresh"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/knowledge/content/{content_id}/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"type": "<string>",
"size": "<string>",
"linked_to": "<string>",
"metadata": {},
"access_count": 1,
"status": "processing",
"status_message": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "Bad request"
}{
"detail": "Unauthenticated access"
}{
"detail": "Not found"
}{
"detail": [
{
"loc": [
"body",
"endpoint"
],
"msg": "Value error, Endpoint must be a path, not a full URL",
"type": "value_error"
}
]
}{
"detail": "Internal server error"
}Knowledge
Refresh Content
Re-ingest a URL- or path-sourced content row from its source. For a site row this refreshes changed pages, retries failed ones, and removes pages that left the site.
POST
/
knowledge
/
content
/
{content_id}
/
refresh
Refresh Content
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Content ID to refresh
Query Parameters
Database ID to use
Knowledge base ID to use
Response
Refresh started
Unique identifier for the content
Name of the content
Description of the content
MIME type of the content
Size of the content in bytes
ID of related content if linked
Additional metadata as key-value pairs
Number of times content has been accessed
Required range:
x >= 0Processing status of the content
Available options:
processing, completed, failed Status message or error details
Timestamp when content was created
Timestamp when content was last updated
Was this page helpful?